summaryrefslogtreecommitdiff
path: root/Master/texmf-dist/source/latex/koma-script/doc/Makefile.guide
diff options
context:
space:
mode:
authorKarl Berry <karl@freefriends.org>2006-08-20 00:02:10 +0000
committerKarl Berry <karl@freefriends.org>2006-08-20 00:02:10 +0000
commit524b07990fd2040ab6ce24b015b9a2bd4544a3c1 (patch)
tree93d7c1e1089e6c5df66ce81b57ed93482321baaa /Master/texmf-dist/source/latex/koma-script/doc/Makefile.guide
parentaffc79c45bfab740028ac1e6b8480c5465a42b01 (diff)
koma-script 2.95b, using provided texmf zip
git-svn-id: svn://tug.org/texlive/trunk@1990 c570f23f-e606-0410-a88d-b1316a301751
Diffstat (limited to 'Master/texmf-dist/source/latex/koma-script/doc/Makefile.guide')
-rw-r--r--Master/texmf-dist/source/latex/koma-script/doc/Makefile.guide227
1 files changed, 227 insertions, 0 deletions
diff --git a/Master/texmf-dist/source/latex/koma-script/doc/Makefile.guide b/Master/texmf-dist/source/latex/koma-script/doc/Makefile.guide
new file mode 100644
index 00000000000..a56f004c1a0
--- /dev/null
+++ b/Master/texmf-dist/source/latex/koma-script/doc/Makefile.guide
@@ -0,0 +1,227 @@
+# ======================================================================
+# Makefile.guide
+# Copyright (c) Markus Kohm, 2002-2006
+#
+# This file is part of the LaTeX2e KOMA-Script bundle.
+#
+# This work may be distributed and/or modified under the conditions of
+# the LaTeX Project Public License, version 1.3b of the license.
+# The latest version of this license is in
+# http://www.latex-project.org/lppl.txt
+# and version 1.3b or later is part of all distributions of LaTeX
+# version 2005/12/01 or later and of this work.
+#
+# This work has the LPPL maintenance status "author-maintained".
+#
+# The Current Maintainer and author of this work is Markus Kohm.
+#
+# This work consists of all files listed in manifest.txt.
+# ----------------------------------------------------------------------
+# Makefile.guide
+# Copyright (c) Markus Kohm, 2002-2006
+#
+# Dieses Werk darf nach den Bedingungen der LaTeX Project Public Lizenz,
+# Version 1.3b, verteilt und/oder veraendert werden.
+# Die neuste Version dieser Lizenz ist
+# http://www.latex-project.org/lppl.txt
+# und Version 1.3b ist Teil aller Verteilungen von LaTeX
+# Version 2005/12/01 oder spaeter und dieses Werks.
+#
+# Dieses Werk hat den LPPL-Verwaltungs-Status "author-maintained"
+# (allein durch den Autor verwaltet).
+#
+# Der Aktuelle Verwalter und Autor dieses Werkes ist Markus Kohm.
+#
+# Dieses Werk besteht aus den in manifest.txt aufgefuehrten Dateien.
+# ======================================================================
+
+# ----------------------------------------------------------------------
+# Load common rules
+include $(BASEDIR)Makefile.baserules
+# Load variable definitions
+include $(BASEDIR)Makefile.baseinit
+include $(DOCDIR)Makefile.latexinit
+# ----------------------------------------------------------------------
+# Temporary folder, used to create distribution.
+# Same folder with postfix "-maintain" will be used to create maintain-
+# distribution.
+ifdef DISTDIR
+export DISTDIR := $(DISTDIR)/$(LANGUAGE)
+endif
+ifdef MAINTAINDIR
+export MAINTAINDIR := $(MAINTAINDIR)/$(LANGUAGE)
+endif
+ifdef INSTALLSRCDIR
+export INSTALLSRCDIR := $(INSTALLSRCDIR)/$(LANGUAGE)
+endif
+
+# ----------------------------------------------------------------------
+# List of all Makefiles
+MAKE_FILES = Makefile
+
+# ----------------------------------------------------------------------
+GUIDENAME = scrgui$(LANGUAGESHORTCUT)
+
+GENERATED_SRC = plenDIN.mps
+
+plenDIN_SRC = plenDIN.mp plinc.mp pllcoDIN.mp pltex.mp
+
+TEX_CHAPTERS = introduction.tex typearea.tex \
+ scrbookreportarticle.tex scrpage2.tex \
+ scrdatetime.tex scrlttr2.tex scraddr.tex \
+ adrconvnote.tex scrlfile.tex
+
+TEX_SRC = guide-$(LANGUAGELONG).tex $(TEX_CHAPTERS)
+
+MISC_SRC = $(MAKE_FILES) htmlsetup
+
+DIST_SRC = $(MISC_SRC) $(TEX_SRC)
+
+GUIDE_FILES = $(GUIDENAME).pdf $(GUIDENAME).html
+
+DIST_FILES = $(DIST_SRC) $(GUIDE_FILES)
+
+MAINTAIN_SRC = $(DIST_SRC)
+
+MAINTAIN_FILES = $(MAINTAIN_SRC)
+
+# ----------------------------------------------------------------------
+# local rules
+default_local: $(GUIDE_FILES)
+
+clean_local:
+ $(RM) *.aux *.bbl *.blg *.glo *.idx *.ilg *.ind *.log *.lot \
+ *.dvi *.tmp mpxerr.tex \
+ *.md5 *.out *.toc *.mpx *.drv *.chn *.xref $(plenDIN_SRC)
+
+distclean_local: clean_local
+ $(RM) $(GENERATED_SRC)
+
+maintainclean_local: distclean_local
+ $(RM) guide.pdf $(GUIDENAME).pdf
+
+ifdef DISTDIR
+
+install_local: $(DIST_FILES)
+ @if ! $(MKDIR) $(INSTALLSRCDIR) || \
+ ! [ -d $(INSTALLDOCDIR) ]; then \
+ echo '--------------------------------------------------'; \
+ echo '| Cannot install to' $(INSTALLSRCDIR) or $(INSTALLDOCDIR)!; \
+ echo '| You should try:'; \
+ echo '| sudo "make install"'; \
+ echo '--------------------------------------------------'; \
+ exit 1; \
+ fi
+ $(INSTALL) $(DIST_SRC) $(INSTALLSRCDIR)
+ $(INSTALL) $(GUIDE_FILES) $(INSTALLDOCDIR)
+ $(foreach file,$(GUIDE_FILES),$(SYMLINK) ../../../../doc/latex/koma-script/$(file) $(INSTALLSRCDIR)/../$(file);)
+ $(SECHO) ------------------------------------------------------------
+ $(SECHO) Installed files at $(INSTALLSRCDIR):
+ $(SECHO) $(DIST_SRC)
+ $(SECHO) ------------------------------------------------------------
+ $(SECHO) Installed files at $(INSTALLDOCDIR):
+ $(SECHO) $(GUIDE_FILES)
+ $(SECHO) ------------------------------------------------------------
+ $(SECHO) Links at $(INSTALLSRCDIR)/..:
+ $(SECHO) $(GUIDE_FILES)
+ $(SECHO) ------------------------------------------------------------
+
+uninstall_local:
+ @if [ -d $(INSTALLSRCDIR) ]; then \
+ $(RM) -v $(foreach file,$(DIST_SRC),$(INSTALLSRCDIR)/$(file)); \
+ if [ ls $(INSTALLSRCDIR) > /dev/null 2>&1; then \
+ $(RMDIR) -v $(INSTALLSRCDIR); \
+ else \
+ echo "$(INSTALLSRCDIR) not empty!"; \
+ fi; \
+ else \
+ echo "$(INSTALLSRCDIR) not found --> nothing to uninstall!"; \
+ fi
+ @if [ -d $(INSTALLDOCDIR) ]; then \
+ $(RM) -v $(foreach file,$(GUIDE_FILES),$(INSTALLDOCDIR)/$(file)); \
+ else \
+ echo "$(INSTALLDOCDIR) not found --> nothing to uninstall!"; \
+ fi
+
+dist_local:
+ -$(RMDIR) $(DISTDIR)
+ $(MKDIR) $(DISTDIR)
+ $(CP) $(DIST_FILES) $(DISTDIR)
+
+maintain_local:
+ -$(RMDIR) $(MAINTAINDIR)
+ $(MKDIR) $(MAINTAINDIR)
+ $(CP) $(MAINTAIN_FILES) $(MAINTAINDIR)
+
+else
+
+install_local:
+ $(error install not supported at local make)
+
+uninstall_local:
+ $(error uninstall not supported at local make)
+
+dist_local:
+ $(error dist not supported at local make)
+
+maintain_prior:
+ $(error maintain not supported at local make)
+
+endif
+
+# ----------------------------------------------------------------------
+
+# ----------------------------------------------------------------------
+# file rules
+
+CKSUMFILES = $(DOCDIR)plength.dtx $(DOCDIR)guide.tex $(DOCDIR)scrguide.cls \
+ $(BIBTEX_SRC) $(MAKEINDEXSTYLE) $(MAKECHANGESTYLE) \
+ guide.aux guide.ind guide.idx guide.bbl guide.toc guide.lot \
+ guide.out guide.chn guide.glo \
+ $(foreach file,$(TEX_CHAPTERS),$(basename $(file)).aux)
+
+define latex
+ $(SMV) $@ guide.pdf || exit 0
+ @while ! $(CKSUM) -c guide.md5; do \
+ $(CKSUM) $(CKSUMFILES) > guide.md5 \
+ && $(PDFLATEX) guide.tex \
+ && ( $(BIBTEX) guide || [ $$? -le $(BIBTEXNOERROR) ] || exit 1 ) \
+ && $(MAKEINDEX) guide.ind guide.idx \
+ && $(INDEXPOSTOP) guide \
+ && $(MAKECHANGE) guide.chn guide.glo \
+ || exit 1;\
+ done
+ $(SMV) guide.pdf $@
+endef
+
+$(GUIDENAME).html: guide.aux
+ $(GENHTMLINDEX) $(addsuffix .aux,$(basename $(TEX_CHAPTERS))) >$@
+
+$(GUIDENAME).pdf: $(DOCDIR)scrguide.cls $(DOCDIR)guide.tex $(GENERATED_SRC)\
+ guide.aux guide.bbl $(BIBTEX_SRC) \
+ $(MAKEINDEXSTYLE) guide.ind guide.idx \
+ $(MAKECHANGESTYLE) guide.chn guide.glo \
+ $(TEX_SRC)
+ $(latex)
+
+plenDIN.mps: $(plenDIN_SRC)
+ $(MPOST) $<
+ $(MV) $(basename $@).1 $@
+
+$(plenDIN_SRC): $(DOCDIR)plength.dtx
+ $(PDFLATEX) $<
+
+guide.ind: guide.idx
+ $(MAKEINDEX) $@ $<
+ $(INDEXPOSTOP) guide
+
+guide.chn: guide.glo
+ $(MAKECHANGE) $@ $<
+
+guide.bbl: $(BIBTEX_SRC) guide.aux
+ $(BIBTEX) guide || test $$? -le $(BIBTEXNOERROR)
+
+guide.glo guide.idx guide.aux: ../guide.tex $(TEX_SRC)
+ $(PDFLATEX) guide.tex
+
+# ----------------------------------------------------------------------